uniform sampler2D	uniTexture;

in vec2				varTextureCoordinates;
in vec4				varColor;	//	premultiplied alpha
DECLARE_OUTPUT(outColor)		//	premultiplied alpha


void main()
{
	outColor = varColor * texture(uniTexture, varTextureCoordinates);
}
